const int ledR = 7;
const int ledG = 6;
const int ledB = 5;

const int PHR  = A0;

void setup() {
  Serial.begin(9600);
  pinMode(ledR, OUTPUT);
  pinMode(ledG, OUTPUT);
  pinMode(ledB, OUTPUT);  
  pinMode(PHR, INPUT);

  // Inicializar o LED RGB
  digitalWrite(ledR, LOW);
  digitalWrite(ledG, LOW);
  digitalWrite(ledB, LOW);
}

void loop() {
  // Ler valor do photoresistor
  int value = analogRead(PHR);
  Serial.print("Valor lido: ");
  Serial.println(value);

  // Ligar o LED vermelho no caso do valor do photoresistor ser inferior a 600
  if(value < 600){
    digitalWrite(ledR, HIGH);
    digitalWrite(ledG, LOW);
  } else {    
    digitalWrite(ledR, LOW);
    digitalWrite(ledG, HIGH);
  }
}
